#!/home2/j-env/bin/wish -f
# mkEntry w
#
# Create a top-level window that displays a bunch of entries.
#
# Arguments:
#    w -	Name to use for new top-level window.

proc mkEntry {{w .e1}} {
    catch {destroy $w}
    toplevel $w
    dpos $w
    wm title $w "Entry Demonstration"
    wm iconname $w "Entries"
    global msg_kanji_font
    message $w.msg -font -Adobe-times-medium-r-normal--*-180* -aspect 200 \
	    -kanjifont $msg_kanji_font \
	    -text {\
3ނ̈قȂGg\Ă܂B\
͂ɂ̓|C^čsANbNĂ^CvĂB\
IăRg[-D Əł܂B\
}ʒu̒Ô̓̕obNXy[XARg[-HA\
f[gL[łB\
Rg[-W ͑}ʒu̒Õ[h܂B\
Rg[-U ͓͂Ă镶S܂B\
߂ăEBhEɓ؂Ȃ̂́A}EX̃{^2 ܂\
hbO邱ƂŃXN[邱Ƃł܂B\
{͂̂̓Rg[-obNXbVłB\
kinput2 ĂΓ͂邱Ƃł܂B\
\߂uv{^ĂB}
    frame $w.frame -borderwidth 10
    button $w.ok -text  -command "destroy $w"
    pack $w.msg $w.frame $w.ok -side top -fill both

    entry $w.frame.e1 -relief sunken
    entry $w.frame.e2 -relief sunken
    entry $w.frame.e3 -relief sunken
    pack $w.frame.e1 $w.frame.e2 $w.frame.e3 -side top -pady 5 -fill x

    $w.frame.e1 insert 0 "l"
    $w.frame.e2 insert end "̃Ggɂ͒񂪓ĂāA"
    $w.frame.e2 insert end "ăEBhEɂ͓؂Ȃ̂ŁA"
    $w.frame.e2 insert end "ۂ̏I܂Ōɂ̓XN[Ȃ"
    $w.frame.e2 insert end "ȂȂł傤B"
}
