#!/home2/j-env/bin/wish -f
# mkRadio w
#
# Create a top-level window that displays a bunch of radio buttons.
#
# Arguments:
#    w -	Name to use for new top-level window.

proc mkRadio {{w .r1}} {
    catch {destroy $w}
    toplevel $w
    dpos $w
    wm title $w "Radiobutton Demonstration"
    wm iconname $w "Radiobuttons"
    global msg_kanji_font
    message $w.msg -font -Adobe-times-medium-r-normal--*-180* -aspect 300 \
	    -kanjifont $msg_kanji_font \
	    -text {\
ɂ 2̃WI{^O[v\Ă܂B\
{^NbNƁÃ{^̃O[v̒őI܂B\
eO[vɑ΂ẴO[v̒̂ǂ̃{^IĂ邩ϐ\
蓖ĂĂ܂B\
݂̕ϐ̒lɂ́uϐQƁv{^NbNĂB\
\߂uv{^ĂB}
    frame $w.frame -borderwidth 10
    frame $w.frame2
    pack $w.msg -side top
    pack $w.msg -side top
    pack $w.frame -side top -fill x -pady 10
    pack $w.frame2 -side bottom -fill x

    frame $w.frame.left
    frame $w.frame.right
    pack $w.frame.left $w.frame.right -side left -expand yes

    radiobutton $w.frame.left.b1 -text "|CgTCY 10" -variable size \
	    -relief flat -value 10
    radiobutton $w.frame.left.b2 -text "|CgTCY 12" -variable size \
	    -relief flat -value 12
    radiobutton $w.frame.left.b3 -text "|CgTCY 18" -variable size \
	    -relief flat -value 18
    radiobutton $w.frame.left.b4 -text "|CgTCY 24" -variable size \
	    -relief flat -value 24
    pack $w.frame.left.b1 $w.frame.left.b2 $w.frame.left.b3 $w.frame.left.b4 \
	    -side top -pady 2 -anchor w

    radiobutton $w.frame.right.b1 -text "" -variable color \
	    -relief flat -value 
    radiobutton $w.frame.right.b2 -text "" -variable color \
	    -relief flat -value 
    radiobutton $w.frame.right.b3 -text "" -variable color \
	    -relief flat -value 
    radiobutton $w.frame.right.b4 -text "" -variable color \
	    -relief flat -value 
    radiobutton $w.frame.right.b5 -text "" -variable color \
	    -relief flat -value 
    radiobutton $w.frame.right.b6 -text "" -variable color \
	    -relief flat -value 
    pack $w.frame.right.b1 $w.frame.right.b2 $w.frame.right.b3 \
	    $w.frame.right.b4 $w.frame.right.b5 $w.frame.right.b6 \
	    -side top -pady 2 -anchor w

    button $w.frame2.ok -text  -command "destroy $w" -width 12
    button $w.frame2.vars -text "ϐQ" -width 12\
	    -command "showVars $w.dialog size color"
    pack $w.frame2.ok $w.frame2.vars -side left -expand yes -fill x
}
