#!/home2/j-env/bin/wish -f
# mkTear w
#
# Create a top-level window that displays a help message on tear-off
# menus.
#
# Arguments:
#    w -	Name to use for new top-level window.

proc mkTear {{w .t1}} {
    catch {destroy $w}
    toplevel $w
    dpos $w
    wm title $w "Information On Tear-Off Menus"
    wm iconname $w "Info"
    global msg_kanji_font
    message $w.msg -font -Adobe-times-medium-r-normal--*-180* -aspect 250 \
	    -kanjifont $msg_kanji_font \
	    -text {\
j[ɂ́Aj[{^̏Ń}EX̃{^2 A\
܂܃j[hbO܂B\
j[Ń{^2 ܂܃hbO邱Ƃɂ\
j[𓮂Ƃł܂B\
j[ɂ́Ãj[ɑΉ郁j[{^̏\
}EX̃{^1 NbNĂB\
Iuv{^ĂB}
    button $w.ok -text  -command "destroy $w"
    pack $w.msg $w.ok -pady 5
}
