# mkCheck w
#
# Create a top-level window that displays a bunch of check buttons.
#
# Arguments:
#    w -	Name to use for new top-level window.

proc mkCheck {{w .c1}} {
    catch {destroy $w}
    toplevel $w
    dpos $w
    wm title $w "Checkbutton demonstration"
    wm iconname $w "Checkbuttons"
    global msg_kanji_font
    message $w.msg -font -Adobe-times-medium-r-normal--*-180* -aspect 300 \
	    -kanjifont $msg_kanji_font \
	    -text {\
ɂ 3̃`FbN{^\Ă܂B\
NbNƃ{^̑IԂςA\
Tcl ϐɂ̃{^̏Ԃlݒ肵܂B\
݂̕ϐ̒lɂ́uϐQƁv{^NbNĂB\
\߂uv{^ĂB}
    frame $w.frame -borderwidth 10
    pack append $w.frame \
	[checkbutton $w.frame.b1 -text "Cp[ OK" -variable wipers \
	    -relief flat] {top pady 4 expand frame w} \
	[checkbutton $w.frame.b2 -text "u[L OK" -variable brakes \
	    -relief flat] {top pady 4 expand frame w} \
	[checkbutton $w.frame.b3 -text "^]ґf" -variable sober \
	    -relief flat] {top pady 4 expand frame w}
    frame $w.frame2
    pack append $w.frame2 \
	[button $w.frame2.ok -text "" -command "destroy $w"] \
	    {left expand fill} \
	[button $w.frame2.vars -text "ϐQ" \
	    -command "showVars $w.dialog wipers brakes sober"] \
	    {left expand fill}
    button $w.ok -text  -command "destroy $w"

    pack append $w $w.msg {top fill} $w.frame {top expand fill} \
	    $w.frame2 {bottom fill}
}
