# mkEntry2 -
#
# Create a top-level window that displays a bunch of entries with
# scrollbars.
#
# Arguments:
#    w -	Name to use for new top-level window.

proc mkEntry2 {{w .e2}} {
    catch {destroy $w}
    toplevel $w
    dpos $w
    wm title $w "Entry Demonstration"
    wm iconname $w "Entries"
    global msg_kanji_font
    message $w.msg -font -Adobe-times-medium-r-normal--*-180* -aspect 200 \
	    -kanjifont $msg_kanji_font \
	    -text {\
3ނ̈قȂGgAeXXN[o[tŕ\Ă܂B\
͂ɂ̓|C^čsANbNĂ^CvĂB\
IăRg[-D Əł܂B\
}ʒu̒Ô̓̕obNXy[XARg[-HA\
f[gL[łB\
Rg[-W ͑}ʒu̒Õ[h܂B\
Rg[-U ͓͂Ă镶S܂B\
߂ăEBhEɓ؂Ȃ̂̓XN[o[A\
}EX̃{^2 ܂܃hbO邱Ƃ\
XN[邱Ƃł܂B\
{͂̂̓Rg[-obNXbVłB\
kinput2 ĂΓ͂邱Ƃł܂B\
\߂uv{^ĂB}
    frame $w.frame -borderwidth 10
    pack append $w.frame \
	[entry $w.frame.e1 -relief sunken] {top fillx} \
	[scrollbar $w.frame.s1 -relief sunken -orient horiz -command \
	    "$w.frame.e1 view"] {top fillx} \
	[frame $w.frame.f1 -geometry 20x10] {top} \
	[entry $w.frame.e2 -relief sunken] {top fillx} \
	[scrollbar $w.frame.s2 -relief sunken -orient horiz -command \
	    "$w.frame.e2 view"] {top fillx} \
	[frame $w.frame.f2 -geometry 20x10] {top} \
	[entry $w.frame.e3 -relief sunken] {top fillx} \
	[scrollbar $w.frame.s3 -relief sunken -orient horiz -command \
	    "$w.frame.e3 view"] {top fillx}
    $w.frame.e1 config -scroll "$w.frame.s1 set"
    $w.frame.e1 insert 0 "l"
    $w.frame.e2 config -scroll "$w.frame.s2 set"
    $w.frame.e2 insert end "̃Ggɂ͒񂪓ĂāA"
    $w.frame.e2 insert end "ăEBhEɂ͓؂Ȃ̂ŁA"
    $w.frame.e2 insert end "ۂ̏I܂Ōɂ̓XN[Ȃ"
    $w.frame.e2 insert end "ȂȂł傤B"
    $w.frame.e3 config -scroll "$w.frame.s3 set"

    button $w.ok -text  -command "destroy $w"
    pack append $w $w.msg {top fill} $w.frame {top expand fill} \
	$w.ok {bottom fill}
}
