# mkRadio w
#
# Create a top-level window that displays a bunch of radio buttons.
#
# Arguments:
#    w -	Name to use for new top-level window.

proc mkRadio {{w .r1}} {
    catch {destroy $w}
    toplevel $w
    dpos $w
    wm title $w "Radiobutton Demonstration"
    wm iconname $w "Radiobuttons"
    global msg_kanji_font
    message $w.msg -font -Adobe-times-medium-r-normal--*-180* -aspect 300 \
	    -kanjifont $msg_kanji_font \
	    -text {\
ɂ 2̃WI{^O[v\Ă܂B\
{^NbNƁÃ{^̃O[v̒őI܂B\
eO[vɑ΂ẴO[v̒̂ǂ̃{^IĂ邩ϐ\
蓖ĂĂ܂B\
݂̕ϐ̒lɂ́uϐQƁv{^NbNĂB\
\߂uv{^ĂB}
    frame $w.frame -borderwidth 10
    pack append $w.frame \
	[frame $w.frame.left] {left expand} \
	[frame $w.frame.right] {right expand}
    pack append $w.frame.left \
	[radiobutton $w.frame.left.b1 -text "|CgTCY 10" -variable size \
	    -relief flat -value 10] {top pady 4 frame w} \
	[radiobutton $w.frame.left.b2 -text "|CgTCY 12" -variable size \
	    -relief flat -value 12] {top pady 4 frame w} \
	[radiobutton $w.frame.left.b3 -text "|CgTCY 18" -variable size \
	    -relief flat -value 18] {top pady 4 frame w} \
	[radiobutton $w.frame.left.b4 -text "|CgTCY 24" -variable size \
	    -relief flat -value 24] {top pady 4 frame w}
    pack append $w.frame.right \
	[radiobutton $w.frame.right.b1 -text "" -variable color \
	    -relief flat -value ] {top pady 4 frame w} \
	[radiobutton $w.frame.right.b2 -text "" -variable color \
	    -relief flat -value ] {top pady 4 frame w} \
	[radiobutton $w.frame.right.b3 -text "" -variable color \
	    -relief flat -value ] {top pady 4 frame w} \
	[radiobutton $w.frame.right.b4 -text "" -variable color \
	    -relief flat -value ] {top pady 4 frame w} \
	[radiobutton $w.frame.right.b5 -text "" -variable color \
	    -relief flat -value ] {top pady 4 frame w} \
	[radiobutton $w.frame.right.b6 -text "" -variable color \
	    -relief flat -value ] {top pady 4 frame w}
    frame $w.frame2
    pack append $w.frame2 \
	[button $w.frame2.ok -text "" -command "destroy $w"] \
	    {left expand fill} \
	[button $w.frame2.vars -text "ϐQ" \
	    -command "showVars $w.dialog size color"] \
	    {left expand fill}
    button $w.ok -text  -command "destroy $w"

    pack append $w $w.msg {top fill} $w.frame {top expand fill} \
	    $w.frame2 {bottom fill}
}
