#!/home2/j-env/bin/wish -f
# mkCheck w
#
# Create a top-level window that displays a bunch of check buttons.
#
# Arguments:
#    w -	Name to use for new top-level window.

proc mkCheck {{w .c1}} {
    catch {destroy $w}
    toplevel $w
    dpos $w
    wm title $w "Checkbutton demonstration"
    wm iconname $w "Checkbuttons"
    global msg_kanji_font
    message $w.msg -font -Adobe-times-medium-r-normal--*-180* -aspect 300 \
	    -kanjifont $msg_kanji_font \
	    -text {\
ɂ 3̃`FbN{^\Ă܂B\
NbNƃ{^̑IԂςA\
Tcl ϐɂ̃{^̏Ԃlݒ肵܂B\
݂̕ϐ̒lɂ́uϐQƁv{^NbNĂB\
\߂uv{^ĂB}
    frame $w.frame -borderwidth 10
    frame $w.frame2

    pack $w.msg -side top -fill both
    pack $w.frame -side top -expand yes -fill both
    pack $w.frame2 -side bottom -fill both

    checkbutton $w.frame.b1 -text "Cp[ OK" -variable wipers -relief flat
    checkbutton $w.frame.b2 -text "u[L OK" -variable brakes -relief flat
    checkbutton $w.frame.b3 -text "^]ґf" -variable sober -relief flat
    pack $w.frame.b1 $w.frame.b2 $w.frame.b3 -side top -pady 2 -expand yes \
	    -anchor w

    button $w.frame2.ok -text  -command "destroy $w"
    button $w.frame2.vars -text "ϐQ" \
	    -command "showVars $w.dialog wipers brakes sober"
    pack $w.frame2.ok $w.frame2.vars -side left -expand yes -fill both
}
