#!/home2/j-env/bin/wish -f
# mkLabel w
#
# Create a top-level window that displays a bunch of labels.
#
# Arguments:
#    w -	Name to use for new top-level window.

proc mkLabel {{w .l1}} {
    global tk_library msg_kanji_font
    catch {destroy $w}
    toplevel $w
    dpos $w
    wm title $w "Label Demonstration"
    wm iconname $w "Labels"
    message $w.msg -font -Adobe-times-medium-r-normal--*-180* -aspect 300 \
	    -kanjifont $msg_kanji_font \
	    -text {\
ɂ 5̃x\Ă܂B\
ɂ̓eLXgx 3A\
Eɂ̓rbg}bvxƃeLXgx܂B\
xƂ̂͂܂ʔ̂ł͂܂B\
ȂȂ璭߂ȊOłȂłB\
\߂uv{^ĂB}
    frame $w.left
    frame $w.right
    button $w.ok -text  -command "destroy $w"
    pack $w.msg -side top
    pack $w.ok -side bottom -fill x
    pack $w.left $w.right -side left -expand yes -padx 10 -pady 10 -fill both

    label $w.left.l1 -text "ŏ̃x"
    label $w.left.l2 -text "2ԖځBƕオ点Ă݂܂" -relief raised
    label $w.left.l3 -text "3ԖځBł܂" -relief sunken
    pack $w.left.l1 $w.left.l2 $w.left.l3 \
	    -side top -expand yes -pady 2 -anchor w

    label $w.right.bitmap -bitmap @$tk_library/demos/bitmaps/face \
	    -borderwidth 2 -relief sunken
    label $w.right.caption -text "Tcl/Tk L"
    pack $w.right.bitmap $w.right.caption -side top
}
